@echo off
set output=..\docs\api
if "" == "%JAVADOC%" if "" == "%JAVA_HOME%" set JAVADOC=javadoc
if "" == "%JAVADOC%"                        set JAVADOC=%JAVA_HOME%\bin\javadoc

set JAVADOCARGS= -private  -author -sourcepath . -classpath .;..\lib\servlet.jar;..\lib\mail.jar;..\lib\xerces.jar

if not exist %output% mkdir %output%

%JAVADOC% %JAVADOCARGS% -d %output% -version -windowtitle "IX JSP Tutorial III - API Reference" -doctitle "Das IX JSP Tutorial III" -bottom "<center><font size='-2'>~ <a href='mailto:pr@webapp.de'>Das iX JSP Tutorial III</a> - &copy; 2000 by Peter Ro&szlig;bach ~</font></center>" -group "Model" "de.ix.jspTutorial.model*:de.ix.jspTutorial.controller*:de.ix.jspTutorial.constants*" -group "Database" "de.ix.jspTutorial.database*" -group "Taglib" "de.ix.jspTutorial.taglib*" -group "Util" "de.ix.jspTutorial.util*:de.ix.jspTutorial.mail*:de.ix.jspTutorial.xml*"  de.ix.jspTutorial.model de.ix.jspTutorial.constants de.ix.jspTutorial.controller de.ix.jspTutorial.database de.ix.jspTutorial.util de.ix.jspTutorial.xml de.ix.jspTutorial.mail de.ix.jspTutorial.taglib

echo done.